/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:sleep.c 12.0$ */
/* $ACIS:sleep.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.bin/RCS/sleep.c,v $ */

#ifndef lint
static char *rcsid = "$Header:sleep.c 12.0$";
#endif

static char *sccsid = "@(#)sleep.c	4.1 (Berkeley) 10/1/80";
main(argc, argv)
char **argv;
{
	int c, n;
	char *s;

	n = 0;
	if(argc < 2) {
		printf("arg count\n");
		exit(0);
	}
	s = argv[1];
	while(c = *s++) {
		if(c<'0' || c>'9') {
			printf("bad character\n");
			exit(0);
		}
		n = n*10 + c - '0';
	}
	sleep(n);
}
